/* If you're feeling fancy you can add interactivity 
    to your site with Javascript */

function enableMode(mode) {
  console.log("Enable mode", mode);
  let modeSheets = document.head.querySelectorAll("link[rel='stylesheet'][mode]");
  for (let sheet of modeSheets) {
    console.log(sheet);
    sheet.disabled = sheet.getAttribute("mode") != mode;
  }
}

addEventListener("DOMContentLoaded", e => {
  let modes = document.querySelectorAll("input[type='radio'][name='mode']");
  for (let mode of modes) {
    if (mode.checked) {
      enableMode(mode.value);
      break;
    }
  }

  let toggle = document.getElementById("pictureInPictureToggleExperiment");
  toggle.addEventListener("click", e => {
    alert("Picture-in-Picture!");
  });
});

addEventListener("change", e => {
  if (e.target.type == "checkbox") {
    let wrapper = document.querySelector(".pip-wrapper");
    wrapper.setAttribute(e.target.id, e.target.checked);
  } else {
    let radios = document.querySelectorAll("input[type='radio'][name='strings']");
    for (let radio of radios) {
      if (radio.checked) {
        let label = document.querySelector(".pip-label");
        label.textContent = radio.value;
        break;
      }
    }

    radios = document.querySelectorAll("input[type='radio'][name='description']");
    for (let radio of radios) {
      if (radio.checked) {
        let label = document.querySelector(".pip-description");
        label.textContent = radio.value;
        break;
      }
    }
  
    radios = document.querySelectorAll("input[type='radio'][name='position']");
    for (let radio of radios) {
      if (radio.checked) {
        let label = document.querySelector(".pip-wrapper");
        label.setAttribute("position", radio.value);
        break;
      }
    }

    radios = document.querySelectorAll("input[type='radio'][name='explainer']");
    for (let radio of radios) {
      if (radio.checked) {
        let label = document.querySelector(".pip-explainer");
        label.textContent = radio.value;
        break;
      }
    }

    radios = document.querySelectorAll("input[type='radio'][name='explainer-header']");
    for (let radio of radios) {
      if (radio.checked) {
        let label = document.querySelector(".pip-explainer-header");
        label.textContent = radio.value;
        break;
      }
    }

    radios = document.querySelectorAll("input[type='radio'][name='mode']");
    for (let radio of radios) {
      if (radio.checked) {
        let label = document.querySelector(".pip-wrapper");
        enableMode(radio.value);
        break;
      }
    }
  }
});
